View Issue Details

IDProjectCategoryView StatusLast Update
0012588LazarusIDEpublic2010-10-11 16:51
ReporterDaniel GasparyAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.26Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0012588: Cancel Dragging when ESC is pressed.
DescriptionLittle Enhancement..

When Dragging a component, if you press ESC while still holding the mouse button, the component could be put back to its original location.

It´s the behaviour of Delphi IDE, the dragging operation is cancelled.
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

Martin Friebe

2008-11-07 22:48

manager   ~0023218

sorry, thought that was about the drag and drop editing in synedit

Paul Ishenin

2010-08-03 10:01

manager   ~0039927

Already implemented in 0.9.29 Please test and close if ok.

Daniel Gaspary

2010-10-11 16:51

reporter   ~0041727

Thanks.

Issue History

Date Modified Username Field Change
2008-11-07 20:57 Daniel Gaspary New Issue
2008-11-07 20:57 Daniel Gaspary Widgetset => Win32
2008-11-07 21:23 Vincent Snijders LazTarget => post 1.2
2008-11-07 21:23 Vincent Snijders Status new => acknowledged
2008-11-07 21:47 Martin Friebe Status acknowledged => assigned
2008-11-07 21:47 Martin Friebe Assigned To => Martin Friebe
2008-11-07 22:48 Martin Friebe Note Added: 0023218
2008-11-07 22:48 Martin Friebe Assigned To Martin Friebe =>
2008-11-07 22:48 Martin Friebe Status assigned => acknowledged
2010-08-03 10:01 Paul Ishenin LazTarget post 1.2 => 0.9.30
2010-08-03 10:01 Paul Ishenin Status acknowledged => resolved
2010-08-03 10:01 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-08-03 10:01 Paul Ishenin Resolution open => fixed
2010-08-03 10:01 Paul Ishenin Assigned To => Paul Ishenin
2010-08-03 10:01 Paul Ishenin Note Added: 0039927
2010-08-03 10:02 Paul Ishenin Target Version => 0.9.30
2010-10-11 16:51 Daniel Gaspary Status resolved => closed
2010-10-11 16:51 Daniel Gaspary Note Added: 0041727